Skip to main content
POST
/
custom-attestation-types
/
{org}
Create or update custom attestation type
curl --request POST \
  --url https://app.kosli.com/api/v2/custom-attestation-types/{org} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form 'data_json={
  "name": "<string>",
  "description": "<string>",
  "evaluator": {
    "content_type": "default"
  }
}' \
  --form 'type_schema=<string>'

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

org
string
required

Body

multipart/form-data
data_json
CustomAttestationTypePostInput · object
required

Custom attestation description in JSON format

Example:
{
  "description": "A person that is over 21 year",
  "evaluator": {
    "content_type": "jq",
    "rules": [".age > 21"]
  },
  "name": "person-over-21"
}
type_schema
string | null

Optional attestation schema file

Response

Creation Success

Last modified on April 9, 2026